package intrinsic.mx.controls.videoClasses;

public class CuePointManager extends Object {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.controls.VideoDisplay videoDisplay;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CuePointManager() {
}

public CuePointManager(intrinsic.mx.controls.videoClasses.VideoPlayer arg0) {
}

public CuePointManager(intrinsic.mx.controls.videoClasses.VideoPlayer arg0, int arg1) {
}


/** Static Methods */

/** Methods */
public native void setCuePoints(intrinsic.Array arg0);
public native Object getCuePointByName(String arg0);
public native void removeAllCuePoints();
public native void dispatchCuePoints();
public native Object addCuePoint(Object arg0);
public native intrinsic.Array getCuePoints();
public native Object removeCuePoint(Object arg0);
public native void resetCuePointIndex(double arg0);

}
